package kr.co.kihyun.beans.entity;

import kr.co.kihyun.moumi.MoumiConfig;

public enum Grade {

	NULL(""),                                                                                                                      //0.
	PRE(MoumiConfig.getMessageBundle().getString("moumi.message.grade.pre")),                                                      //1.유치원
	ELEMENTARY(MoumiConfig.getMessageBundle().getString("moumi.message.grade.elementary")),                                        //2.초등학교
	MIDDLE(MoumiConfig.getMessageBundle().getString("moumi.message.grade.middle")),                                                //3.중학교
	HIGH(MoumiConfig.getMessageBundle().getString("moumi.message.grade.high")),                                                    //4.고등학교
	SPECIAL(MoumiConfig.getMessageBundle().getString("moumi.message.grade.special")),                                              //5.특수학교
	CIVIL(MoumiConfig.getMessageBundle().getString("moumi.message.grade.civil")),                                                  //6.공민학교
	CIVIL_HIGH(MoumiConfig.getMessageBundle().getString("moumi.message.grade.civilHigh")),                                         //7.고등공민학교
	CIVIL_TECHNICAL(MoumiConfig.getMessageBundle().getString("moumi.message.grade.civilTechnical")),                               //8.고등기술학교
	ETC_MIDDLE(MoumiConfig.getMessageBundle().getString("moumi.message.grade.etcMiddle")),                                         //9.각종학교(중)
	ETC_HIGH(MoumiConfig.getMessageBundle().getString("moumi.message.grade.etcHigh")),                                             //10.각종학교(고)
	CORRESPONDENCE_HIGH(MoumiConfig.getMessageBundle().getString("moumi.message.grade.correspondenceHigh")),                       //11.방송통신고등학교
	LIFELONG_MIDDLE_THREE_YEARS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongMiddleThreeYears")),         //12.평생학교(중)-3년6학기
	LIFELONG_HIGH_THREE_YEAYRS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongHighThreeYears")),            //13.평생학교(고)-3년6학기
	LIFELONG_ELEMENTARY_THREE_YEARS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongElementaryThreeYears")), //14.평생학교(초)-3년6학기
	COMMUNAL_PRACTICE_CENTER(MoumiConfig.getMessageBundle().getString("moumi.message.grade.communalPracticeCenter")),              //15.공동실습소
	LIFELONG_MIDDLE_TWO_YEARS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongMiddleTwoYears")),             //16.평생학교(중)-2년6학기
	LIFELONG_HIGH_TWO_YEARS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongHighTwoYears")),                 //17.평생학교(고)-2년6학기
	FOREIGN(MoumiConfig.getMessageBundle().getString("moumi.message.grade.foreign")),                                              //18.외국인학교
	ETC_ELEMENTARY(MoumiConfig.getMessageBundle().getString("moumi.message.grade.etcElementary")),                                 //19.각종학교(초)
	LIFELONG_ELEMENTARY_FOUR_YEARS(MoumiConfig.getMessageBundle().getString("moumi.message.grade.lifelongElementaryFourYears")),   //20.평생학교(초)-4년12학기
	UNIVERSITY(MoumiConfig.getMessageBundle().getString("moumi.message.grade.university"));                                        //21.대학교
	private final String name;

	private Grade(String gradeName) {
		this.name = gradeName;
	}

	@Override
	public String toString() {
		return this.name;
	}
}
